Status Checks
You can send an optional request to retrieve the current status of a previous request. A status check requires the request ID of the previous request.
The retrieved status is returned in the status response field.
For the status check endpoint, see Affirm API Endpoints.
Endpoint
POST /pts/v2/refresh-payment-status/{id}
POST /pts/v2/refresh-payment-status/{id}
Example
{ "paymentInformation": { "paymentType": { "name": "INVOICE", "method": { "name": "AFFIRM" } } }, "processingInformation": { "actionList": "AP_STATUS" }}{ "clientReferenceInformation": { "code": "1730154960080" }, "id": "7301549599206598103954", "processorInformation": { "responseCode": "00006" }, "reconciliationId": "XFZ402N9X0AG", "status": "REFUNDED"}| Field | Type | Description |
|---|---|---|
paymentInformation.paymentType.method.name | Set to AFFIRM. | |
paymentInformation.paymentType.name | Set to INVOICE. | |
processingInformation.actionList | Set to AP_STATUS. |
Response Statuses
The status returned by a status check depends on the operation whose request ID you provide. responds with one of these statuses for each operation.
Session — see Affirm Sessions
COMPLETED: The session is created. When the customer completes payment using the Affirm redirect URL, you can send an authorization request.FAILED: The session request is not successful. Send a new session request.
Authorization — see Affirm Authorizations
AUTHORIZED: The authorization request is successful and the amount is authorized.FAILED: The authorization request is not successful. Send a new authorization request.
Authorization Reversal — see Affirm Authorization Reversals
AUTH_REVERSED: The authorization reversal is complete and the purchase is cancelled.FAILED: The authorization reversal request is not successful. Send a new authorization reversal request.
Capture — see Affirm Captures
SETTLED: The capture is complete and the payment is finalized. You can display a payment confirmation to the customer.FAILED: The capture request is not successful. Send a new capture request.
Refund — see Affirm Refunds
REFUNDED: The refund is complete and the purchase is refunded. You can display a refund confirmation to the customer.FAILED: The refund request is not successful. Send a new refund request.
Thanks for your feedback!
Last published: September 29, 2026